Import('*')

objects = []

# INCLUDE DIRECTORIES
# Implements: COR010
includes = [
	'gen',
	'api'
]

# SOURCE FILES
sources = [
]

gen_sources = [
	'gen/Rte.c',
	'gen/Rte_Lib.c',  
	'gen/OsTask_ASW.c',
	'gen/OsTask_BSW.c',
	'gen/OsTask_WdgM.c',
	'gen/OsTask_MS.c',
]

# ADD INCLUDE DIRECTORIES
for include in includes:
	env.Append(CPPPATH=[Dir(include).abspath])

# COMPILE SOURCE FILES
for source in sources:
	objects += env.Object(source)
	
# GENERATED SOURCE FILES
for gen_source in gen_sources:
	objects += env.Object(gen_source)
#objects = env.Library('RTE', objects)
# RETURN					  
Return('objects')